<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.xxx</groupId>
    <artifactId>base-springframework-starter</artifactId>
    <packaging>pom</packaging>
    <version>0.0.1-SNAPSHOT</version>

    <modules>
        <module>../../play_new</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <java.version>1.8</java.version>
        <maven.compiler.encoding>UTF-8</maven.compiler.encoding>
        <maven-compiler-plugin.version>3.8.1</maven-compiler-plugin.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <lombok.version>1.18.12</lombok.version>
        <spring-boot-starter.version>2.4.1</spring-boot-starter.version>
        <spring.version>5.3.2</spring.version>
        <jackson-annotations.version>2.11.3</jackson-annotations.version>
        <spring-boot-maven-plugin.version>2.4.1</spring-boot-maven-plugin.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.xxx</groupId>
            <artifactId>base-springframework-core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.xxx</groupId>
            <artifactId>base-springframework-db</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.xxx</groupId>
            <artifactId>base-springframework-mybatis-plus</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.xxx</groupId>
            <artifactId>base-springframework-redis</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.xxx</groupId>
            <artifactId>base-springframework-swagger</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-beans</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-aop</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>${jackson-annotations.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>${jackson-annotations.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${jackson-annotations.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>1.2.68</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring-boot-maven-plugin.version}</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>${maven-compiler-plugin.version}</version>
                <configuration>
                    <source>${maven.compiler.source}</source>
                    <target>${maven.compiler.target}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <!--	<repositories>
            <repository>
                <id></id>
                <url></url>
            </repository>
        </repositories>
        <pluginRepositories>
            <pluginRepository>
                <id></id>
                <url></url>
            </pluginRepository>
        </pluginRepositories>
        <distributionManagement>
            <repository>
                <id></id>
                <url></url>
            </repository>
            <snapshotRepository>
                <id></id>
                <url></url>
            </snapshotRepository>
        </distributionManagement>-->
</project>